# Development Documentation

This directory contains internal development documentation for SocialMapper contributors and maintainers.

## Contents

- `ARCHITECTURE.md` - System architecture and design decisions
- `API_MODERNIZATION_RECOMMENDATIONS.md` - API improvement plans
- `REFACTORING_SUMMARY.md` - Code refactoring history
- `DOCUMENTATION_AUDIT.md` - Documentation review findings
- `CHANGELOG.md` - Detailed release history
- `RELEASE_NOTES_*.md` - Version-specific release notes
- `DEMO_INSTRUCTIONS.md` - Internal demo setup guide
- `migration-guide.md` - API migration guide for developers

## Note

These documents are for internal development purposes. User-facing documentation is in the `docs/` directory and published to GitHub Pages.

For contributing guidelines, see `CONTRIBUTING.md` in the repository root.