# Getting Started with SocialMapper

Welcome to SocialMapper! This section will help you get up and running quickly with community demographic analysis.

## Quick Navigation

### 🚀 [Installation](installation.md)
Learn how to install SocialMapper on your system.

### ⚡ [Quick Start Guide](quick-start.md) 
Create your first community analysis in minutes.

## Choose Your Path

### I'm New to Programming

**Start here if you're new to Python:**
    
1. Follow the **[Installation Guide](installation.md)** for setup help
2. Try the **[Quick Start Guide](quick-start.md)** for your first analysis
3. Use the command line interface - no coding required!
4. Explore the **[examples](https://github.com/mihiarc/socialmapper/tree/main/examples)**

### I'm a Python Developer

**Jump right in if you're comfortable with Python:**
    
1. `pip install socialmapper` - Quick installation
2. Check the **[API Reference](../api-reference.md)** for detailed usage
3. Review **[examples](https://github.com/mihiarc/socialmapper/tree/main/examples/core)**
4. Explore advanced features like **[address geocoding](../features/address-geocoding.md)**

### I'm a Researcher/Analyst

**Focus on analysis capabilities:**
    
1. Review **[common use cases](../index.md)** to understand applications
2. Learn about **[demographic variables](../user-guide/demographics.md)**
3. Understand **[travel time analysis](../user-guide/travel-time.md)**
4. Master **[exporting results](../user-guide/exporting-results.md)**

## What You'll Learn

By the end of this section, you'll be able to:

- ✅ Install and configure SocialMapper
- ✅ Run your first analysis  
- ✅ Find places and analyze accessibility
- ✅ Work with census demographics
- ✅ Export results for reports

## Prerequisites

- **Python 3.11+** (we'll help you install it)
- **Internet connection** for data downloads
- **No GIS experience needed!**

## Getting Help

- 📖 Check the **[FAQ](../faq.md)** for common questions
- 🔧 See **[Troubleshooting](../troubleshooting.md)** for issues
- 💡 Review **[examples](https://github.com/mihiarc/socialmapper/tree/main/examples)**
- 🐛 Report bugs on **[GitHub](https://github.com/mihiarc/socialmapper/issues)**

---

**Ready to begin?** Start with **[Installation](installation.md)** →