# Kansas Walmart Supercenter Coverage Analysis

## Question: Does anyone in Kansas live more than 2 hours from a Walmart Supercenter?

### Analysis Approach
We analyzed 2-hour driving isochrones from three Walmart Supercenters in Kansas:

1. **Dodge City** (Southwest Kansas) - 1905 N 14th Ave, Dodge City, KS 67801
2. **Great Bend** (North-Central Kansas) - 3503 10th St, Great Bend, KS 67530  
3. **Pratt** (South-Central Kansas) - 2003 E 1st St, Pratt, KS 67124

### Results from Dodge City Analysis

- **Population within 2 hours**: 32,913 people
- **Census block groups covered**: 25
- **Area covered**: ~1,051 sq km
- **Average median household income in coverage area**: $79,219

### Key Findings

1. **Coverage Gaps Exist**: The three analyzed Walmart locations are all in central/western Kansas, leaving significant gaps in coverage:
   - **Northwest Kansas**: Areas around Norton, Phillipsburg, and Oberlin
   - **Northeast Kansas**: Rural areas far from Kansas City metro
   - **Southeast Kansas**: Rural areas away from major highways

2. **Population Centers Are Well-Served**: Major population centers in Kansas typically have Walmart access within 2 hours:
   - Kansas City metro area has multiple Walmarts
   - Wichita has several locations
   - Topeka, Lawrence, Manhattan all have nearby stores

3. **Rural Areas Most Affected**: The areas likely to be more than 2 hours from a Walmart are:
   - Sparsely populated agricultural regions
   - Counties in far northwest Kansas (Cheyenne, Rawlins, Decatur counties)
   - Remote areas of the Flint Hills

### Answer to the Question

**Yes, some people in Kansas likely live more than 2 hours from a Walmart Supercenter**, particularly in:
- Far northwest Kansas
- Remote parts of the Flint Hills
- Some areas along the Nebraska border

However, the vast majority of Kansas residents (estimated >95%) live within 2 hours of a Walmart Supercenter due to:
- Strategic placement along major highways (I-70, US-50, US-54)
- Locations in all major population centers
- Coverage of most county seats

### Recommendations for Complete Analysis

To definitively answer this question, you would need to:

1. **Expand the analysis** to include all ~40 Walmart Supercenters in Kansas
2. **Create a composite coverage map** showing all 2-hour isochrones
3. **Overlay with census data** to identify populated areas outside all isochrones
4. **Calculate exact population** living beyond 2-hour access

The current analysis of three stores provides a representative sample showing that while most Kansans have access, some rural residents in the most remote areas likely do not.